Index: trunk/src/grails-app/views/taskModificationType/show.gsp
===================================================================
--- trunk/src/grails-app/views/modificationType/show.gsp	(revision 89)
+++ trunk/src/grails-app/views/taskModificationType/show.gsp	(revision 93)
@@ -5,14 +5,14 @@
         <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
         <meta name="layout" content="main" />
-        <title>Show ModificationType</title>
+        <title>Show TaskModificationType</title>
     </head>
     <body>
         <div class="nav">
             <span class="menuButton"><a class="home" href="${createLinkTo(dir:'')}">Home</a></span>
-            <span class="menuButton"><g:link class="list" action="list">ModificationType List</g:link></span>
-            <span class="menuButton"><g:link class="create" action="create">New ModificationType</g:link></span>
+            <span class="menuButton"><g:link class="list" action="list">TaskModificationType List</g:link></span>
+            <span class="menuButton"><g:link class="create" action="create">New TaskModificationType</g:link></span>
         </div>
         <div class="body">
-            <h1>Show ModificationType</h1>
+            <h1>Show TaskModificationType</h1>
             <g:if test="${flash.message}">
             <div class="message">${flash.message}</div>
@@ -26,5 +26,5 @@
                             <td valign="top" class="name">Id:</td>
                             
-                            <td valign="top" class="value">${fieldValue(bean:modificationTypeInstance, field:'id')}</td>
+                            <td valign="top" class="value">${fieldValue(bean:taskModificationTypeInstance, field:'id')}</td>
                             
                         </tr>
@@ -33,5 +33,5 @@
                             <td valign="top" class="name">Description:</td>
                             
-                            <td valign="top" class="value">${fieldValue(bean:modificationTypeInstance, field:'description')}</td>
+                            <td valign="top" class="value">${fieldValue(bean:taskModificationTypeInstance, field:'description')}</td>
                             
                         </tr>
@@ -40,18 +40,5 @@
                             <td valign="top" class="name">Is Active:</td>
                             
-                            <td valign="top" class="value">${fieldValue(bean:modificationTypeInstance, field:'isActive')}</td>
-                            
-                        </tr>
-                    
-                        <tr class="prop">
-                            <td valign="top" class="name">Modifications:</td>
-                            
-                            <td  valign="top" style="text-align:left;" class="value">
-                                <ul>
-                                <g:each var="m" in="${modificationTypeInstance.modifications}">
-                                    <li><g:link controller="modification" action="show" id="${m.id}">${m?.encodeAsHTML()}</g:link></li>
-                                </g:each>
-                                </ul>
-                            </td>
+                            <td valign="top" class="value">${fieldValue(bean:taskModificationTypeInstance, field:'isActive')}</td>
                             
                         </tr>
@@ -60,5 +47,18 @@
                             <td valign="top" class="name">Name:</td>
                             
-                            <td valign="top" class="value">${fieldValue(bean:modificationTypeInstance, field:'name')}</td>
+                            <td valign="top" class="value">${fieldValue(bean:taskModificationTypeInstance, field:'name')}</td>
+                            
+                        </tr>
+                    
+                        <tr class="prop">
+                            <td valign="top" class="name">Task Modifications:</td>
+                            
+                            <td  valign="top" style="text-align:left;" class="value">
+                                <ul>
+                                <g:each var="t" in="${taskModificationTypeInstance.taskModifications}">
+                                    <li><g:link controller="taskModification" action="show" id="${t.id}">${t?.encodeAsHTML()}</g:link></li>
+                                </g:each>
+                                </ul>
+                            </td>
                             
                         </tr>
@@ -69,5 +69,5 @@
             <div class="buttons">
                 <g:form>
-                    <input type="hidden" name="id" value="${modificationTypeInstance?.id}" />
+                    <input type="hidden" name="id" value="${taskModificationTypeInstance?.id}" />
                     <span class="button"><g:actionSubmit class="edit" value="Edit" /></span>
                     <span class="button"><g:actionSubmit class="delete" onclick="return confirm('Are you sure?');" value="Delete" /></span>
